## EXPORT_SPEC int ixmlElement_removeAttributeNode

## (IXML_Element* element,
IXML_Attr* oldAttr,
IXML_Attr** rtAttr )

> Removes the specified attribute node from an Element.

## Documentation

> Removes the specified attribute node from an Element.

Parameters:
  element - The Element from which to remove the attribute.
  oldAttr - The attribute to remove from the Element.
  rtAttr - A pointer to an attribute in which to place the removed attribute.
Returns:
  [int] An integer representing one of the following:
  - `IXML_SUCCESS`: The operation completed successfully.
  - `IXML_INVALID_PARAMETER`: Either element or oldAttr is `NULL`.
  - `IXML_NOT_FOUND_ERR`: oldAttr is not among the list attributes of element.

Alphabetic index

This page was generated with the help of DOC++.